Summary:	ModSecurity Audit Log Collector
Name:		mlogc
Version:	1.4.2
Release:	%mkrel 1
Group:		System/Servers
License:	GPL
URL:		http://www.modsecurity.org/
# S0 was repackaged to exclude bundled code
Source0:	http://www.modsecurity.org/download/mlogc-src_%{version}.tar.gz
Requires(pre):	apache-conf >= 2.2.6
Requires(pre):	apache >= 2.2.6
Requires:	apache-conf >= 2.2.6
Requires:	apache >= 2.2.6
BuildRequires:	apache-devel >= 2.2.6
BuildRequires:	curl-devel
BuildRequires:	file
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
ModSecurity is an open source intrustion detection and prevention engine for
web applications. It operates embedded into the web server, acting as a
powerful umbrella - shielding applications from attacks.

This package contains the ModSecurity Audit Log Collector.

%prep

%setup -q -n mlogc-src_%{version}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

chmod 644 CHANGES INSTALL

%build

%make CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}/httpd/conf

install -m0755 mlogc %{buildroot}%{_bindir}/
install -m0755 mlogc-batch-load.pl %{buildroot}%{_bindir}/mlogc-batch-load
install -m0644 mlogc-default.conf %{buildroot}%{_sysconfdir}/httpd/conf/mlogc.conf

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES INSTALL
%attr(0640,root,apache) %config(noreplace) %{_sysconfdir}/httpd/conf/mlogc.conf
%attr(0755,root,root) %{_bindir}/mlogc
%attr(0755,root,root) %{_bindir}/mlogc-batch-load



%changelog
* Mon Nov 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-1mdv2008.1
+ Revision: 112081
- import mlogc


* Mon Nov 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-1mdv2008.1
- initial Mandriva package
